petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCView

Prints the PC data structure.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCView(PC pc,PetscViewer viewer)

Collective on PC Many br

### Input Parameters

| PC | - the PC context Many br
| viewer | - optional visualization context Many br

### Note

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization contexts with Many brPetscViewerASCIIOpen() (output to a specified file). Many br

Many br

### Keywords

PC, view

### See Also

KSPView(), PetscViewerASCIIOpen()

Level:developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex15.c.html